Stellaris

Stellaris

31 ratings
Fallen Empire Ships Types (NSC & ISB Compatible)
 
Rate  
Favorite
Favorited
Unfavorite
File Size
Posted
Updated
38.232 MB
Apr 16, 2017 @ 1:14am
Dec 7, 2018 @ 6:10am
14 Change Notes ( view )

Subscribe to download
Fallen Empire Ships Types (NSC & ISB Compatible)

Subscribed
Unsubscribe
Description
This mod basically as the title said - give you the option to build fallen empire ships.

This mod provides you 6 fallen empire ship sets, Materialist, Spiritualist, Xenophile, Xenophobe, Militarist and Pacifist.

In game said [Alternative] is because this is differentiate from NSC fallen empire ship sets.

And about that.. This mod is compatible with NSC and ISB mod.

Each ship sets has it's different habitat model.

To enable Realistic Ships compatible, you need to activate the Realistic Ships Add-On mod.

Update:
Le Guin 2.2 update
< >
50 Comments
Ruler of the Void Dec 12, 2018 @ 12:01pm 
I just checked it's not compatible :steamsad:
Ruler of the Void Dec 12, 2018 @ 11:53am 
so is this ironman compatible?
patrick2160 Aug 21, 2018 @ 7:13am 
@The New Meta™: It's a ship graphics mod, barring drastic changes in either the base games handling of ship models or the various mods that this includes compatibility for there isn't a need to further change or update the mod. Only really worry if the date exceeds the date of the last MAJOR update to the game.
The New Meta™ Aug 19, 2018 @ 7:38am 
Nothing has to be added. Im just saying that based off the date, a logical conclusion could be drawn that over the course of game updates, this addon would no longer be compatible.
Zeratul Vergil  [author] Aug 19, 2018 @ 7:27am 
hmm.. what suggestion that you can add?
The New Meta™ Aug 19, 2018 @ 7:26am 
Updated May 30 @ 9:43am
This hasnt been updated in a while.
Zeratul Vergil  [author] Aug 19, 2018 @ 4:04am 
@The New Meta™ and what makes you think that?
The New Meta™ Aug 17, 2018 @ 6:54pm 
Im guessing this addon is down and out?
Rolana Kryze Jun 23, 2018 @ 10:17pm 
EDIT:
Just found a post saying that it is not compatible with downscaled. It would be wrong of me not to ask for a patch for that but it's your call. Still going to use it and sub. :)
Nex Apr 13, 2018 @ 7:58pm 
does it work with downscaled ships, or is there a way to make it compatible?